CREATE TABLE test_table(
          id Integer NOT NULL PRIMARY KEY,
          global_id Integer, inspect_id Integer, year_of Integer, inspect_group Char(8), client_name Char(128), obj_name Char(128),
		  flat_id Integer, reg_id Integer, map_id Integer, mo_id Integer, part_id Integer, crop_id Integer,  cropalias Char(32), crop_type_id  Integer, land_id  Integer, landalias Char(32), flat_us Char(8),
		  site_id  Integer, layer_id Integer, layeralias Char(32), site_txt Char(8), area Float, soil_un Integer, soilalias Char(64), site_un  Integer, bonitet Real, preplant Integer, sppp Real,
		  num_qty Integer, gum_qty Integer, ph Real, gumus Real, p2o5 Real, k2o Real, no3 Real, s Real, mn Real, zn Real, b Real, cu Real, co Real, ca Real, mg Real, mo Real, fe Real, sitew_qty Integer, areaw Real,
		  numw_qty Integer, gumw_qty Integer, phw Real, gumusw Real, p2o5w Real,  k2ow Real,  no3w Real,  sw Real, mnw Real, znw Real, bw Real, cuw Real, cow Real, caw Real, mgw Real, mow Real, few Real, bonitetw Real, spppw Real,
		  ph_qty Integer, gumus_qty Integer, p2o5_qty Integer, k2o_qty Integer, no3_qty Integer, s_qty Integer, mn_qty Integer,  zn_qty Integer, b_qty Integer, cu_qty Integer, co_qty Integer, ca_qty Integer, mg_qty Integer,
          mo_qty Integer, fe_qty Integer, bonitet_qty Integer, sppp_qty Integer, reg_name Char(64), mo_name Char(64) 
);		 


INSERT INTO test_table
    WITH RECURSIVE
	genrow(id, global_id, inspect_id, year_of, inspect_group, client_name, obj_name,
     flat_id, reg_id, map_id, mo_id, part_id, crop_id, cropalias, crop_type_id, land_id, landalias, flat_us,
     site_id, layer_id, layeralias, site_txt, area, soil_un, soilalias, site_un, bonitet, preplant,sppp,
     num_qty, gum_qty, ph, gumus, p2o5, k2o, no3, s, mn, zn, b, cu, co, ca, mg, mo, fe,  sitew_qty, areaw,
     numw_qty, gumw_qty,  phw, gumusw, p2o5w, k2ow, no3w, sw, mnw, znw, bw, cuw, cow,  caw, mgw, mow, few, bonitetw, spppw, 
     ph_qty, gumus_qty, p2o5_qty, k2o_qty, no3_qty, s_qty, mn_qty, zn_qty, b_qty, cu_qty, co_qty, ca_qty, mg_qty, mo_qty, fe_qty,bonitet_qty, sppp_qty, 
     reg_name, mo_name
	  ) as (
	    VALUES(
		  1 , abs(random() % 1000000), abs(random() % 1000000), abs(random() % 2000), hex(randomblob(8)), hex(randomblob(64)), hex(randomblob(16)),
		  abs(random() % 99), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99), hex(randomblob(16)),abs(random() % 99),abs(random() % 99),hex(randomblob(16)),hex(randomblob(8)),
		  abs(random() % 99), abs(random() % 99),hex(randomblob(16)),hex(randomblob(8)),abs(random() % 199), abs(random() % 9999), hex(randomblob(32)), abs(random() % 99), abs(random() % 99), abs(random() % 999), abs(random() % 99),
		  abs(random() % 99), abs(random() % 99), abs(random() % 9), abs(random() % 4),abs(random() % 99),abs(random() % 500), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  
		  abs(random() % 99), abs(random() % 99), abs(random() % 9), abs(random() % 4),abs(random() % 99),abs(random() % 500), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  
		  abs(random() % 99), abs(random() % 99), abs(random() % 9), abs(random() % 4),abs(random() % 99),abs(random() % 500), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),hex(randomblob(32)),hex(randomblob(32))
		  
		  )
		UNION ALL 
	      SELECT id+1 , abs(random() % 1000000), abs(random() % 1000000), abs(random() % 2000), hex(randomblob(8)), hex(randomblob(64)), hex(randomblob(16)),
		  abs(random() % 99), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99), hex(randomblob(16)),abs(random() % 99),abs(random() % 99),hex(randomblob(16)),hex(randomblob(8)),
		  abs(random() % 99), abs(random() % 99),hex(randomblob(16)),hex(randomblob(8)),abs(random() % 199), abs(random() % 9999), hex(randomblob(32)), abs(random() % 99), abs(random() % 99), abs(random() % 999), abs(random() % 99),
		  abs(random() % 99), abs(random() % 99), abs(random() % 9), abs(random() % 4),abs(random() % 99),abs(random() % 500), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  
		  abs(random() % 99), abs(random() % 99), abs(random() % 9), abs(random() % 4),abs(random() % 99),abs(random() % 500), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  
		  abs(random() % 99), abs(random() % 99), abs(random() % 9), abs(random() % 4),abs(random() % 99),abs(random() % 500), abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),
		  abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),abs(random() % 99),hex(randomblob(32)),hex(randomblob(32))
  	      FROM genrow WHERE ID<250000
	  )
	 select * from genrow 
	
